package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Comprehensive;
import com.lightinit.hsdatashow.entity.ComprehensiveExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ComprehensiveMapper {
    long countByExample(ComprehensiveExample example);

    int deleteByExample(ComprehensiveExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Comprehensive record);

    int insertSelective(Comprehensive record);

    List<Comprehensive> selectByExample(ComprehensiveExample example);

    Comprehensive selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Comprehensive record, @Param("example") ComprehensiveExample example);

    int updateByExample(@Param("record") Comprehensive record, @Param("example") ComprehensiveExample example);

    int updateByPrimaryKeySelective(Comprehensive record);

    int updateByPrimaryKey(Comprehensive record);
}